--- src/drivers/fluid_coreaudio.c.orig
+++ src/drivers/fluid_coreaudio.c
@@ -31,6 +31,25 @@
 #include "fluid_settings.h"
 
 #if COREAUDIO_SUPPORT
+
+/* Work around for OSX 10.4 */
+
+/* enum definition in OpenTransportProviders.h defines these tokens
+   which are #defined from <netinet/tcp.h> */
+#ifdef TCP_NODELAY
+#undef TCP_NODELAY
+#endif
+#ifndef _POSIX_C_SOURCE
+# ifdef TCP_MAXSEG
+# undef TCP_MAXSEG
+# endif
+# ifdef TCP_KEEPALIVE
+# undef TCP_KEEPALIVE
+# endif
+#endif
+
+/* End work around */
+
 #include <CoreServices/CoreServices.h>
 #include <CoreAudio/CoreAudioTypes.h>
 #include <CoreAudio/AudioHardware.h>
--- src/drivers/fluid_coremidi.c.orig
+++ src/drivers/fluid_coremidi.c
@@ -39,12 +39,14 @@
 #ifdef TCP_NODELAY
 #undef TCP_NODELAY
 #endif
+#ifndef _POSIX_C_SOURCE
 #ifdef TCP_MAXSEG
 #undef TCP_MAXSEG
 #endif
 #ifdef TCP_KEEPALIVE
 #undef TCP_KEEPALIVE
 #endif
+#endif
 
 /* End work around */
 
